get_declared_interfaces
get_object_vars
Classes/Object Functions
PHP Manual

# get_declared_traits

(PHP 5 >= 5.4.0, PHP 7)

get_declared_traits — Returns an array of all declared traits

### Description

array get_declared_traits ( void )

### Parameters

This function has no parameters.

### Return Values

Returns an array with names of all declared traits in values. Returns `NULL` in case of a failure.

### See Also

- class_uses() - Return the traits used by the given class

get_declared_interfaces
get_object_vars
Classes/Object Functions
PHP Manual